/*
 * FlexiPix library
 *
 * Copyright 2010-2011 Stefan Schuermans <stefan schuermans info>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 *
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FLP_MISSING_H
#define FLP_MISSING_H

#include <string.h>

#ifdef WINDOWS
static inline char * strerror_r(int errnum, char *buf, size_t buflen)
{
  strncpy(buf, strerror(errnum), buflen);
  if (buflen >= 1)
    buf[buflen - 1] = 0;
  return buf;
}
#endif

#endif /* #ifndef FLP_MISSING_H */

