/*
 * FlexiPix library
 *
 * Copyright 2010-2011 Stefan Schuermans <stefan schuermans info>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 *
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#include <flexipix/types.h>
#include <intern/const_data.h>
#include <intern/types.h>

/** data of MCUF header */
const flp_u8_t flp_mcuf_hdr[FLP_MCUF_HDR_LEN] = {
  0x23, 0x54, 0x26, 0x66,
  0x00, 0x00, 0x00, 0x00,
  0x00, 0x03, 0x00, 0xFF
};

